CHFN(1)

BEZEICHNUNG
chfn - Ihre Finger-Information ändern

ÜBERSICHT
chfn [-f Realname] [-o Büro] [-p Bürotelefonnummer] [-h Haustelefonnummer] [-u] [-v] [Benutzername]

BESCHREIBUNG
Mit chfn können Sie Ihre Finger-Informationen ändern. Diese Informationen werden in der Datei /etc/passwd gespeichert und vom Programm finger angezeigt. Der finger-Befehl in Linux zeigt vier Informationsteile an, die mit chfn geändert werden können: Ihren Realnamen, Ihre Büronummer und dessen Telefonnummer und Ihre Haustelefonnummer.

Jeder der vier Informationsteile kann in der Befehlszeile angegeben werden. Wird nichts angegeben, wechselt chfn in den interaktiven Modus.

Im interaktiven Modus fragt chfn nach jedem Feld. In einer solchen Eingabeaufforderung können Sie die neue Information eingeben oder einfach die Eingabetaste drücken, um das Feld unverändert zu übernehmen. Um das Feld zu leeren, geben Sie das Schlüsselwort »none« ein.

chfn unterstützt nicht-lokale Einträge (Kerberos, LDAP usw.), falls es mit Libuser gelinkt ist, anderenfalls verwenden Sie für nicht-lokale Einträge ypchfn, lchfn oder eine andere Implementierung.

OPTIONEN

-f, --full-name Realname
    gibt Ihren echten Namen an.

-o, --office Büro
    gibt Ihre Büronummer an.

-p, --office-phone Telefonnummer
    gibt Ihre Bürotelefonnummer an.

-h, --home-phone Telefonnummer
    gibt Ihre Haustelefonnummer an.

-u, --help
    zeigt einen Hilfetext an und beendet das Programm.

-v, --version
    zeigt Versionsinformationen an und beendet das Programm.

EINTRÄGE DER KONFIGURATIONSDATEI
chfn liest die Konfigurationsdatei /etc/login.defs(5). Beachten Sie, dass die Konfigurationsdatei Teil eines anderen Pakets sein könnte (z.B. shadow-utils). Die folgenden Konfigurationseinträge sind für chfn(1) relevant:

CHFN_RESTRICT Zeichenkette
    gibt an, welche Felder durch chfn geändert werden können. Der logische Wert "yes" bedeutet, dass nur die Felder für Büronummer, Bürotelefonnummer und Haustelefonnummer geändert werden können. Der logische Wert "no" bedeutet, dass auch der Realname geändert werden kann. Außerdem können Sie die änderbaren Felder über Abkürzungen angeben: f = Realname, r = Büro (Zimmer), w = Bürotelefonnummer, h = Haustelefonnummer. Sie können zum Beispiel mit CHFN_RESTRICT "wh" die Bürotelefonnummer und Haustelefonnummer ändern. Falls CHFN_RESTRICT nicht definiert ist, dann sind alle Finger-Informationen schreibgeschützt. Dies ist die Voreinstellung.

EXIT-STATUS
Bei einer erfolgreichen Aktion wird 0 zurückgegeben. Wenn die Aktion fehlgeschlagen ist oder die Befehlssyntax ungültig war, wird 1 zurückgegeben.

SIEHE AUCH
chsh(1), finger(1), login.defs(5), passwd(5)

AUTOR
Salvatore Valente <svalente@mit.edu>

VERFÜGBARKEIT
Der Befehl chfn ist Teil des Pakets util-linux, welches auf https://www.kernel.org/pub/linux/utils/util-linux/ verfügbar ist.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.